# MPQC::ComponentFactory_impl Class Reference

ComponentFactory implements a CCA standard component interface for component factories. More...

`#include <MPQC_ComponentFactory_Impl.hh>`

List of all members.

## Public Member Functions

| ComponentFactory_impl (struct MPQC_ComponentFactory__object *s)
void | _ctor ()
void | _dtor ()
void | addDescription (const::std::string &className, const::std::string &classAlias) throw ()
| user defined non-static method.
::sidl::array< ::gov::cca::ComponentClassDescription > | getAvailableComponentClasses () throw ( ::gov::cca::CCAException )
| Collect the currently obtainable class name strings from factories known to the builder and the from the already instantiated components.
::gov::cca::Component | createComponentInstance (const::std::string &className) throw ()
| the component instance returned is nil if the name is unknown to the factory.
void | destroyComponentInstance (const::std::string &className,::gov::cca::Component c) throw ()
| reclaim any resources the factory may have associated with the port it is using.

## Static Public Member Functions

static void | _load ()

## Detailed Description

ComponentFactory implements a CCA standard component interface for component factories.

This class is used to inform the embedded framework of available components in a statically linked executable.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-spec-babel package.

## Member Function Documentation

::sidl::array< ::gov::cca::ComponentClassDescription> MPQC::ComponentFactory_impl::getAvailableComponentClasses | ( |  | ) | throw ( ::gov::cca::CCAException )

Collect the currently obtainable class name strings from factories known to the builder and the from the already instantiated components.

Returns:
  The list of class description, which may be empty, that are known a priori to contain valid values for the className argument of createInstance.

Exceptions:

  | CCAException | in the event of error.

::gov::cca::Component MPQC::ComponentFactory_impl::createComponentInstance | ( | const ::std::string & | className | ) | throw ()

the component instance returned is nil if the name is unknown to the factory.

The component is raw: it has been constructed but not initialized via setServices.

void MPQC::ComponentFactory_impl::destroyComponentInstance | ( | const ::std::string & | className,
|  | ::gov::cca::Component | c |
| ) |  |  | throw ()

reclaim any resources the factory may have associated with the port it is using.

This will occur after the normal component shutdown (ala componentrelease) is finished.

The documentation for this class was generated from the following file:

- MPQC_ComponentFactory_Impl.hh